Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.valueobject
Class GeolocResultsDto

    java.lang.Object
      com.gisgraphy.domain.valueobject.GeolocResultsDto

    public class GeolocResultsDto

extends java.lang.Object

DTO (data transfer object) for a list of `GisFeatureDistance` The node name is `Constants.GEOLOCRESULTSDTO_JAXB_NAME`

Author:
  David Masclet

Constructor Summary
`GeolocResultsDto()` Default Constructor
`GeolocResultsDto(java.util.List<GisFeatureDistance> result, java.lang.Long qTime)`

Method Summary
`int` | `getNumFound()`
`java.lang.Long` | `getQTime()`
`java.util.List<GisFeatureDistance>` | `getResult()`
`void` | `setNumFound(int numFound)`
`void` | `setQTime(java.lang.Long time)`
`void` | `setResult(java.util.List<GisFeatureDistance> list)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeolocResultsDto

    public GeolocResultsDto(java.util.List<GisFeatureDistance> result,
                            java.lang.Long qTime)

Parameters:
  `result` - The `GisFeatureDistance`'s Collection
  `qTime` - The execution time

### GeolocResultsDto

    public GeolocResultsDto()

  Default Constructor

Method Detail

### getResult

    public java.util.List<GisFeatureDistance> getResult()

  Returns:
    The list of `GisFeatureDistance`

### setResult

    public void setResult(java.util.List<GisFeatureDistance> list)

  Parameters:
    `list` - The list of `GisFeatureDistance`

### getNumFound

    public int getNumFound()

  Returns:
    the numFound

### setNumFound

    public void setNumFound(int numFound)

  Parameters:
    `numFound` - the numFound to set

### getQTime

    public java.lang.Long getQTime()

  Returns:
    the qTime (aka : the execution Time) in ms

### setQTime

    public void setQTime(java.lang.Long time)

  Parameters:
    `time` - the qTime (aka : the execution Time) in ms to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.